[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# SetDate

Set system date

## Declaration

Source position: dosh.inc line 97

`procedure SetDate(`
`year: Word;`
`month: Word;`
`day: Word`
`);`

## Description

SetDate sets the system's internal date. Year is a number between 1980 and 2099.

Remark: | On a unix machine, there must be root privileges, otherwise this routine will do nothing. On other unix systems, this call currently does nothing.

## Errors

None.

## See also

GetDate |  | Get the current date
SetTime |  | Set system time

Documentation generated on: Feb 26 2014